Page MenuHomePhabricator

Cross-wiki link redirects wrongly when intermediate wiki doesn't exist
Closed, ResolvedPublic

Description

In the search box of Wuuwiki, enter b:zh:, it goes to https://incubator.wikimedia.org/wiki/Wb/wuu/https://zh.wikibooks.org/wiki/ instead of zh.wikibooks.org.

Enter s:zh:, it goes to https://wikisource.org/wiki/Https://zh.wikisource.org/wiki/ instead of zh.wikisource.org.

The intermediate target, wuu.wikibooks or wuu.wikisource, doesn't exist. In such case the cross-wiki link goes to a wrong place.

Event Timeline

Lantern created this task.Jul 24 2016, 4:21 AM
Restricted Application added subscribers: JEumerus, Hydriz, Aklapper. · View Herald TranscriptJul 24 2016, 4:21 AM
Lantern triaged this task as High priority.Aug 2 2016, 3:23 AM
Lantern edited projects, added Wikimedia-Interwiki-links; removed Crosswiki.
Lantern removed a subscriber: Aklapper.
Ciencia_Al_Poder raised the priority of this task from High to Needs Triage.Aug 2 2016, 3:26 AM
Ciencia_Al_Poder added a subscriber: Aklapper.
TTO claimed this task.Aug 2 2016, 4:18 AM
TTO added a subscriber: TTO.

Quite odd. I suspect the interwiki redirection code in missing.php needs to be updated.

TTO added a comment.Aug 2 2016, 4:18 AM
This comment was removed by TTO.
TTO added a comment.Aug 2 2016, 4:31 AM

The prepending of the protocol needs to be removed from https://phabricator.wikimedia.org/diffusion/OMWC/browse/master/wmf-config/missing.php;9821c9cb4130dd361898dc97a5c229a08db23cec$99. I'll upload a patch in a few hours if no-one beats me to it :)

Change 304689 had a related patch set uploaded (by TTO):
Don't prepend protocol in missing.php

https://gerrit.wikimedia.org/r/304689

Change 304689 merged by jenkins-bot:
Don't prepend protocol in missing.php

https://gerrit.wikimedia.org/r/304689

Mentioned in SAL [2016-08-29T13:36:24Z] <hashar@tin> Synchronized wmf-config/missing.php: Do not prepend protocol in missing.php T141208 (duration: 00m 47s)

TTO closed this task as Resolved.Aug 29 2016, 1:37 PM

Are the redirects to incubator expected to be working again now? (I think I had reported their being broken before.)

TTO added a comment.Aug 29 2016, 11:34 PM

Are the redirects to incubator expected to be working again now? (I think I had reported their being broken before.)

They appear to be. If not, please file a task :)